#include <windows.h>

struct FishEye
{
	int radius;
	int internalRadius;	
	int width;
	HBITMAP hBitmap;
	HDC hMemDC;
	POINT coord;
	HRGN hRgn;
	FishEye():radius(-1), hMemDC(NULL), hBitmap(NULL){}
	void init(HDC hdc, POINT myCoord, int myRadius, float myDensity=1.0);
	void drawFishEye(HDC hdc, POINT myCoord, bool erase);
	void drawPixels(HDC hdc, float ratio, int row, int col);
};

struct PeekHole
{
	int holeRadius;
	int viewRadius;
	POINT viewCoord;
	POINT holeCoord;
	void init(POINT myHoleCoord, int myHoleRadius, int myViewRadius);
	void peek(HWND hwnd, POINT myViewCoord);
	void drawPixels(HDC hdc, float ratio, POINT coord, int row, int col, RECT& rect);
};


